<%@ page language="java" %>
<%@ page import="eBLBaseComponents.apis.ebay.AbstractResponseType" %>
<%@ page import="eBLBaseComponents.apis.ebay.ErrorType" %>
<%@ page import="PayPalAPI.api.ebay.*" %>
<%@ page import="eBLBaseComponents.apis.ebay.*" %>

<%
   
   GetTransactionDetailsResponseType resp = (GetTransactionDetailsResponseType) request.getAttribute("paypalResponse");
   String transactionId = (String) request.getAttribute("transactionId");

%>

<table border="0" cellpadding="0" cellspacing="0" class="dataGridTable">
  <tr>
    <td class="cellPlainTextRightBottom" width="100%" colspan="2">&nbsp;Transaction ID: &nbsp;<%=transactionId%></td>
  </tr>
  <tr>
    <td class="cellPlainTextRightBottom"  width="100%" colspan="2">&nbsp;</td>
  </tr>
  <tr>
    <td class="BlueTitleBarBottomRight" width="100%" colspan="2">Payment Info</td>
  </tr>

    <%
    eBLBaseComponents.apis.ebay.PaymentTransactionType pt = resp.getPaymentTransactionDetails();
    if (pt == null) {
    %>
        <tr>
        <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom"  colspan=2>No payment information</td>
        </tr>
    <% } else {

        eBLBaseComponents.apis.ebay.PaymentInfoType paymentInfo = pt.getPaymentInfo();
        if(paymentInfo != null) {
          if (paymentInfo.getParentTransactionID()!=null) { %>
        <tr>
        <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >Parent TID</td>
        <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >&nbsp;<%=paymentInfo.getParentTransactionID().toString()%></td>
        </tr>
    <% } %>

    <% if (paymentInfo.getReceiptID()!=null) { %>
        <tr>
        <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >Receipt ID</td>
        <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >&nbsp;<%=paymentInfo.getReceiptID()%></td>
        </tr>
    <% } %>

    <% if (paymentInfo.getTransactionType()!=null) { %>
       <tr>
       <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >Transaction Type</td>
       <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >&nbsp;<%=paymentInfo.getTransactionType().toString()%></td>
       </tr>
    <% } %>

    <% if (paymentInfo.getPaymentType()!=null) { %>
       <tr>
       <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >Payment Type</td>
       <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >&nbsp;<%=paymentInfo.getPaymentType().toString()%></td>
       </tr>
    <% } %>

    <% if (paymentInfo.getPaymentDate()!=null) { %>
       <tr>
       <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >Payment Date</td>
       <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >&nbsp;<%=paymentInfo.getPaymentDate().getTime()%></td>
       </tr>
    <% } %>
    
    <% if (paymentInfo.getGrossAmount()!=null) { %>
       <tr>
       <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >Gross Amount</td>
       <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom"  nowrap>&nbsp;<%=paymentInfo.getGrossAmount().toString()%>&nbsp;
                       <%=paymentInfo.getGrossAmount().getCurrencyID().toString()%>
       </td>
       </tr>
    <% } %>

    <% if (paymentInfo.getFeeAmount()!=null)  { %>
      <tr>
       <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >Fee Amount</td>
       <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom"  nowrap>&nbsp;<%=paymentInfo.getFeeAmount().toString()%>&nbsp;
                       <%=paymentInfo.getFeeAmount().getCurrencyID().toString()%>
       </td>
       </tr>
    <% } %>

    <% if (paymentInfo.getSettleAmount()!=null) { %>
      <tr>
       <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >Settle Amount</td>
       <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom"  nowrap>&nbsp;<%=paymentInfo.getSettleAmount().toString()%>&nbsp;
                       <%=paymentInfo.getSettleAmount().getCurrencyID().toString()%>
       </td>
       </tr>
    <% } %>

    <% if (paymentInfo.getExchangeRate()!=null) { %>
      <tr>
       <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >Exchange Rate</td>
       <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom"  nowrap>&nbsp;<%=paymentInfo.getExchangeRate()%>
       </td>
       </tr>
    <% } %>

    <% if (paymentInfo.getPaymentStatus() !=null) { %>
      <tr>
       <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >Payment Status</td>
       <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom"  nowrap>&nbsp;<%=paymentInfo.getPaymentStatus().toString()%>
       </td>
       </tr>
    <% } %>

    <% if (paymentInfo.getPendingReason() !=null) { %>
      <tr>
       <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >Pending Reason</td>
       <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom"  nowrap>&nbsp;<%=paymentInfo.getPendingReason().toString()%>
       </td>
       </tr>
    <% } %>

    <% if (paymentInfo.getReasonCode()!=null) { %>
      <tr>
       <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >Reason Code</td>
       <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom"  nowrap>&nbsp;<%=paymentInfo.getReasonCode().toString()%>
       </td>
       </tr>
    <% } %>
        <tr>
        <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >&nbsp;</td>
        <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >&nbsp;</td>
        </tr>

    <% eBLBaseComponents.apis.ebay.PayerInfoType payerInfo = pt.getPayerInfo(); %>
        <tr>
        <td class="BlueTitleBarBottomRight"  colspan=2>Payer Info</td>
        </tr>
    <% if (payerInfo != null) { %>

    <% if (payerInfo.getPayer() !=null) { %>
        <tr>
        <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >Payer</td>
        <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >&nbsp;<%=payerInfo.getPayer().toString()%></td>
        </tr>
    <% } %>

    <% if (payerInfo.getPayerID() !=null) { %>
        <tr>
        <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >Payer ID</td>
        <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >&nbsp;<%=payerInfo.getPayerID().toString()%></td>
        </tr>
    <% } %>
    <% if (payerInfo.getPayerStatus() !=null) { %>
        <tr>
        <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >Payer Status</td>
        <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >&nbsp;<%=payerInfo.getPayerStatus().toString()%></td>
        </tr>
    <% } %>

    <% eBLBaseComponents.apis.ebay.PersonNameType payerName = payerInfo.getPayerName(); %>
    <% if (payerName.getSalutation() !=null) { %>
        <tr>
        <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >Salutation</td>
        <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >&nbsp;<%=payerName.getSalutation().toString()%></td>
        </tr>
    <% } %>
    <% if (payerName.getFirstName() !=null) { %>
        <tr>
        <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >Payer First</td>
        <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >&nbsp;<%=payerName.getFirstName().toString()%></td>
        </tr>
    <% } %>
    <% if (payerName.getMiddleName() !=null) { %>
        <tr>
        <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >Payer Middle</td>
        <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >&nbsp;<%=payerName.getMiddleName().toString()%></td>
        </tr>
    <% } %>
    <% if (payerName.getLastName() !=null) { %>
        <tr>
        <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >Payer Last</td>
        <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >&nbsp;<%=payerName.getLastName().toString()%></td>
        </tr>
    <% } %>
    <% if (payerName.getSuffix() !=null) { %>
        <tr>
        <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >Payer Suffix</td>
        <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >&nbsp;<%=payerName.getSuffix().toString()%></td>
        </tr>
    <% } %>

    <% if (payerInfo.getPayerBusiness() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >Payer Business</td>
        <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >&nbsp;<%=payerInfo.getPayerBusiness()%></td>
        </tr>
    <% } /* payerInfo.getPayerBusiness() != null */ %>
    <% eBLBaseComponents.apis.ebay.AddressType a = payerInfo.getAddress(); %>
        <tr>
        <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >&nbsp;</td>
        <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >&nbsp;</td>
        </tr>
    <% if (a==null) { %>
        <tr>
        <td class="BlueTitleBarBottomRight"  class="cellPlainTextRightBottom" >Payer Address</td>
        <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >No Address info</td>
        </tr>
    <% } else { %>
        <tr>
        <td class="BlueTitleBarBottomRight"  colspan=2>Payer Address</td>
        </tr>
    <% if (a.getAddressStatus() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >Address Status</td>
        <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >&nbsp;<%=a.getAddressStatus()%></td>
        </tr>
    <% } %>
    <% if (a.getName() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" >Address Name</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=a.getName()%></td>
        </tr>
    <% } %>
    <% if (a.getStreet1() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Address Street</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=a.getStreet1()%></td>
        </tr>
    <% } %>
    <% if (a.getStreet2() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Address Line 2</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=a.getStreet2()%></td>
        </tr>
    <% } %>
    <% if (a.getCityName() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >City</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=a.getCityName()%></td>
        </tr>
    <% } %>
    <% if (a.getStateOrProvince() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >State/Province</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=a.getStateOrProvince()%></td>
        </tr>
    <% } %>
    <% if (a.getCountry() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Country</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=a.getCountry()%></td>
        </tr>
    <% } %>
    <% if (a.getCountryName() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Country Name</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=a.getCountryName()%></td>
        </tr>
    <% } %>
    <% if (a.getPhone() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Phone</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=a.getPhone()%></td>
        </tr>
    <% } %>
    <% if (a.getPostalCode() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Postal Code</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=a.getPostalCode()%></td>
        </tr>
    <% } %>
    <% if (a.getExternalAddressID() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >External Address ID</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=a.getExternalAddressID()%></td>
        </tr>
    <% } %>
    <% if (a.getAddressID() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Address ID</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=a.getAddressID()%></td>
        </tr>
    <% } %>
    <% if (a.getAddressOwner() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Address Owner</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=a.getAddressOwner().toString()%></td>
        </tr>
    <% } %>
    <% if (a.getInternationalName() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >International Name</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=a.getInternationalName()%></td>
        </tr>
    <% } %>
    <% if (a.getInternationalStateAndCity() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >International State & City</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=a.getInternationalStateAndCity()%></td>
        </tr>
    <% } %>
    <% if (a.getInternationalStreet() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >International Street</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=a.getInternationalStreet()%></td>
        </tr>
    <% } %>
    <% } /* a== null */ %>
    <% } else { /* payerInfo != null */ %>
        <tr>
        <td class="cellPlainTextRightBottom"  colspan=2>No Payer Info</b></td>
        </tr>
    <% } %>

    <% eBLBaseComponents.apis.ebay.ReceiverInfoType receiverInfo = pt.getReceiverInfo(); %>
        <tr>
        <td class="cellPlainTextRightBottom" >&nbsp;</td>
        <td class="cellPlainTextRightBottom" >&nbsp;</td>
        </tr>
    <% if (receiverInfo == null) { %>
        <tr>
        <td class="BlueTitleBarBottomRight" >Receiver</td>
        <td class="cellPlainTextRightBottom" >No Receiver info</td>
        </tr>
    <% } else { %>
        <tr>
        <td class="BlueTitleBarBottomRight"  colspan=2>Receiver Info</td>
        </tr>
    <% if (receiverInfo.getBusiness() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Business Email</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=receiverInfo.getBusiness().toString()%></td>
        </tr>
    <% } %>
    <% if (receiverInfo.getReceiver() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Receiver Email</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=receiverInfo.getReceiver().toString()%></td>
        </tr>
    <% } %>
    <% if (receiverInfo.getReceiverID() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Receiver ID</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=receiverInfo.getReceiverID().toString()%></td>
        </tr>
    <% } %>
    <% } /* receiverInfo == null */ %>

    <% eBLBaseComponents.apis.ebay.PaymentItemInfoType paymentItemInfo = pt.getPaymentItemInfo(); %>
        <tr>
        <td class="cellPlainTextRightBottom" >&nbsp;</td>
        <td class="cellPlainTextRightBottom" >&nbsp;</td>
        </tr>
    <% if (paymentItemInfo == null) { %>
        <tr>
        <td class="BlueTitleBarBottomRight" >Payment Item Info</td>
        <td class="cellPlainTextRightBottom" >No payment info</td>
        </tr>
    <% } else { %>
        <tr>
        <td class="BlueTitleBarBottomRight"  colspan=2>Payment Item Info</td>
        </tr>
    <% if (paymentItemInfo.getInvoiceID() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Invoice ID</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=paymentItemInfo.getInvoiceID()%></td>
        </tr>
    <% } %>
    <% if (paymentItemInfo.getCustom() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Custom</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=paymentItemInfo.getCustom()%></td>
        </tr>
    <% } %>
    <% if (paymentItemInfo.getMemo() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Memo</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=paymentItemInfo.getMemo()%></td>
        </tr>
    <% } %>
    <% if (paymentItemInfo.getSalesTax() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Sales Tax</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=paymentItemInfo.getSalesTax()%></td>
        </tr>
    <% } %>

    <% eBLBaseComponents.apis.ebay.PaymentItemType[] paymentItems = paymentItemInfo.getPaymentItem();
    if (paymentItems != null) {
           for (int i=0; i<paymentItems.length; i++) {
               eBLBaseComponents.apis.ebay.PaymentItemType paymentItem = paymentItems[i];  %>
        <tr>
        <td class="BlueTitleBarBottomRight"  colspan=2>Payment Item &nbsp; <%=(i+1)%></td>
        </tr>
    <% if (paymentItem.getName() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Name</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=paymentItem.getName()%></td>
        </tr>
    <% } %>
    <% if (paymentItem.getNumber() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Number</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=paymentItem.getNumber()%></td>
        </tr>
    <% } %>
    <% if (paymentItem.getQuantity() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Quantity</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=paymentItem.getQuantity()%></td>
        </tr>
    <% } %>
    <% if (paymentItem.getSalesTax() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Sales Tax</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=paymentItem.getSalesTax()%></td>
        </tr>
    <% } %>
    <% eBLBaseComponents.apis.ebay.OptionType[] options = paymentItem.getOptions(); 
    if (options != null) {
           for (int j=0; j<options.length; j++) {
               OptionType option = options[j];  %>
        <tr>
        <td class="cellPlainTextRightBottom"  colspan=2><b>Option &nbsp; <%=(i+1)%></td>
        </tr>
    <% if (option.getName() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Option Name</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=option.getName()%></td>
        </tr>
    <% } %>
    <% if (option.getValue() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Option Value</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=option.getValue()%></td>
        </tr>
    <% } %>
    <% } /* for option j */%>
    <% } /* options != null */ %>
    <%
            } /* for */
        } /* paymentItems != null */
    %>

    <% eBLBaseComponents.apis.ebay.SubscriptionInfoType subscription = paymentItemInfo.getSubscription();
       if (subscription != null) {
    %>
        <tr>
        <td class="BlueTitleBarBottomRight"  colspan=2>Subscription</td>
        </tr>
    <% if (subscription.getSubscriptionID() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Subscription ID</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=subscription.getSubscriptionID()%></td>
        </tr>
    <% } %>
    <% if (subscription.getSubscriptionDate() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Subscription Date</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=subscription.getSubscriptionDate().getTime()%></td>
        </tr>
    <% } %>
    <% if (subscription.getEffectiveDate() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Effective Date</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=subscription.getEffectiveDate().getTime()%></td>
        </tr>
    <% } %>
    <% if (subscription.getRetryTime() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Retry Time</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=subscription.getRetryTime().getTime()%></td>
        </tr>
    <% } %>
    <% if (subscription.getUsername() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Username</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=subscription.getUsername()%></td>
        </tr>
    <% } %>
    <% if (subscription.getPassword() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Password</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=subscription.getPassword()%></td>
        </tr>
    <% } %>
    <% if (subscription.getRecurrences() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Recurrences</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=subscription.getRecurrences()%></td>
        </tr>
    <% } %>

    <% eBLBaseComponents.apis.ebay.SubscriptionTermsType[] terms = subscription.getTerms();
        if (terms != null) {
           for (int i=0; i<terms.length; i++) {
               SubscriptionTermsType term = terms[i];  %>
        <tr>
        <td class="BlueTitleBarBottomRight"  colspan=2>Subscription Term &nbsp; <%=(i+1)%></td>
        </tr>
    <% if (term.getAmount() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Amount</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=(term.getAmount().toString() + term.getAmount().getCurrencyID().toString())%></td>
        </tr>
    <% } %>
    <% if (term.getPeriod() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Period</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=term.getPeriod()%></td>
        </tr>
    <% } %>

    <%    } /* for */
        } /* terms != null */
    %>
    <% if (subscription.getReattempt() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Reattempt</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=subscription.getReattempt()%></td>
        </tr>
    <% } %>
    <% if (subscription.getRecurring() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Reaccuring</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=subscription.getRecurring()%></td>
        </tr>
    <% } %>
    <%  } /* subscription != null */ %>

    <% eBLBaseComponents.apis.ebay.AuctionInfoType auction = paymentItemInfo.getAuction();
       if (auction != null) {
    %>
        <tr>
        <td class="cellPlainTextRightBottom"  colspan=2>&nbsp;</td>
        </tr>
        <tr>
        <td class="BlueTitleBarBottomRight"  colspan=2>Auction</td>
        </tr>
    <% if (auction.getBuyerID() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Buyer ID</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=auction.getBuyerID()%></td>
        </tr>
    <% } %>
    <% if (auction.getClosingDate() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Closing Date</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=auction.getClosingDate().getTime()%></td>
        </tr>
    <% } %>
    <% if (auction.getMultiItem() != null) { %>
        <tr>
        <td class="cellPlainTextRightBottom" >Muti Items</td>
        <td class="cellPlainTextRightBottom" >&nbsp;<%=auction.getMultiItem()%></td>
        </tr>
    <% } %>
    <% } /* auction != null */ %>

    <% } /* paymentItemInfo == null */ 
       } /* if paymentInfo !== null */
    %>

<%  } /* if pt == null */ %>
</table>