<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>

<html>
<body>

<jsp:include page="/jsp/jspUtils/header.jsp" flush="true"/>

<br><br>

<center>
<f:view>
  
<h:form id="form1">

<h:panelGrid columns="3">

<h:outputText value="PayPal API Username: "/>
<h:inputText id="apiUsername" value="#{payPalProfileForm.apiUsername}" maxlength="50" size="30" required="true" ></h:inputText>
<h:message id="apiUsernameError" for="form1:apiUsername" styleClass="error" />

<h:outputText value="PayPal API Password: "/>
<h:inputText id="apiPassword" value="#{payPalProfileForm.apiPassword}" maxlength="50" size="30" required="true" ></h:inputText>
<h:message id="apiPasswordError" for="form1:apiPassword" styleClass="error" />

<h:outputText value="Certificate Password: "/>
<h:inputText id="certPassword" value="#{payPalProfileForm.certPassword}" maxlength="50" size="30" required="true" ></h:inputText>
<h:message id="certPasswordError" for="form1:certPassword" styleClass="error" showDetail="true" />

<h:outputText value=" "/>
<h:outputText value=" "/>
<h:outputText value=" "/>

<h:outputText value=""/>
<h:outputText value=""/>
<h:commandButton id="insertProfile" value="Update Profile" action="#{payPalProfileForm.insertProfile}"></h:commandButton>

</h:panelGrid>

</h:form>

</f:view>
</center>
</body>
</html>